/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2010_EN_DELIMITED.dct, clear
/*
label define  nuts_cl1 IT   "Italy"  
label define  nace_cl2 B   "MINING AND QUARRYING" 10   "Manufacture of food products" 11   "Manufacture of beverages" 13   "Manufacture of textiles" 14   "Manufacture of wearing apparel" 15   "Manufacture of leather and related products" 16   "Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials" 17   "Manufacture of paper and paper products" 18   "Printing and reproduction of recorded media" 19   "Manufacture of coke and refined petroleum products" 20   "Manufacture of chemicals and chemical products" 21   "Manufacture of basic pharmaceutical products and pharmaceutical preparations" 22   "Manufacture of rubber and plastic products" 23   "Manufacture of other non-metallic mineral products" 24   "Manufacture of basic metals" 25   "Manufacture of fabricated metal products, except machinery and equipment" 26   "Manufacture of computer, electronic and optical products" 27   "Manufacture of electrical equipment" 28   "Manufacture of machinery and equipment n.e.c." 29   "Manufacture of motor vehicles, trailers and semi-trailers" 30   "Manufacture of other transport equipment" 31   "Manufacture of furniture" 32   "Other manufacturing" 33   "Repair and installation of machinery and equipment" 35   "Electricity, gas, steam and air conditioning supply" 36   "Water collection, treatment and supply" 37   "Sewerage" 41   "Construction of buildings" 42   "Civil engineering" 43   "Specialised construction activities" 45   "Wholesale and retail trade and repair of motor vehicles and motorcycles" 46   "Wholesale trade, except of motor vehicles and motorcycles" 47   "Retail trade, except of motor vehicles and motorcycles" 49   "Land transport and transport via pipelines" 50   "Water transport" 51   "Air transport" 52   "Warehousing and support activities for transportation" 53   "Postal and courier activities" 58   "Publishing activities" 61   "Telecommunications" 62   "Computer programming, consultancy and related activities" 63   "Information service activities" 64   "Financial service activities, except insurance and pension funding" 65   "Insurance, reinsurance and pension funding, except compulsory social security" 66   "Activities auxiliary to financial services and insurance activities" 70   "Activities of head offices; management consultancy activities" 71   "Architectural and engineering activities; technical testing and analysis" 72   "Scientific research and development" 73   "Advertising and marketing research" 74   "Other professional, scientific and technical activities" 38-39   "Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services"  
label define  gp_cl3 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  ho_cl4 .   "Not applicable" Z   "Missing" 1   "Italy" 2   "Europe + Candidate Countries + EFTA countries" 3   "Rest of the world" ZZ   "Missing"  
label define  marloc_cl5 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  marnat_cl6  
label define  mareur_cl7  
label define  maroth_cl8  
label define  larmar_cl9 .   "missing or not applicable" A   "Local / regional within [your country]" B   "National (other regions of [your country])" C   "Other European Union (EU), EFTA, or EU candidate countries" D   "All other countries"  
label define  inpdgd_cl10 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpdsv_cl11  
label define  inpdtg1_cl12  
label define  inpdtg2_cl13  
label define  inpdtg3_cl14  
label define  inpdtg4_cl15  
label define  inpdts1_cl16 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpdts2_cl17  
label define  inpdts3_cl18  
label define  inpdts4_cl19  
label define  newmkt_cl20  
label define  newfrm_cl21  
label define  inpdfc_cl25 .   "missing or non applicable" 0   "No" 1   "Yes" 2   "Don't know"  
label define  inpdfe_cl26  
label define  inpdfw_cl27  
label define  inpspd_cl28 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpslg_cl29  
label define  inpssu_cl30  
label define  inpsdv1_cl31  
label define  inpsdv2_cl32  
label define  inpsdv3_cl33  
label define  inpsdv4_cl34  
label define  inpsnm_cl35  
label define  inaba_cl36 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inong_cl37  
label define  rrdin_cl38  
label define  rdeng_cl39 .   "missing" 1   "continuously" 2   "occasionally"  
label define  rrdex_cl40  
label define  rmac_cl41  
label define  roek_cl42  
label define  rtr_cl43  
label define  rmar_cl44  
label define  rdsg_cl45  
label define  rpre_cl46  
label define  funloc_cl56 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  fungmt_cl57  
label define  funeu_cl58  
label define  funrtd_cl59  
label define  sentg_cl60 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  ssup_cl61  
label define  scli_cl62  
label define  scom_cl63  
label define  sins_cl64  
label define  suni_cl65  
label define  sgmt_cl66  
label define  scon_cl67  
label define  sjou_cl68  
label define  spro_cl69  
label define  co_cl70  
label define  co11_cl71  
label define  co12_cl72  
label define  co13_cl73  
label define  co14_cl74  
label define  co15_cl75  
label define  co21_cl76  
label define  co22_cl77  
label define  co23_cl78  
label define  co24_cl79  
label define  co25_cl80  
label define  co31_cl81  
label define  co32_cl82  
label define  co33_cl83  
label define  co34_cl84  
label define  co35_cl85  
label define  co41_cl86  
label define  co42_cl87  
label define  co43_cl88  
label define  co44_cl89  
label define  co45_cl90  
label define  co51_cl91  
label define  co52_cl92  
label define  co53_cl93  
label define  co54_cl94  
label define  co55_cl95  
label define  co61_cl96  
label define  co62_cl97  
label define  co63_cl98  
label define  co64_cl99  
label define  co65_cl100  
label define  co71_cl101  
label define  co72_cl102  
label define  co73_cl103  
label define  co74_cl104  
label define  co75_cl105  
label define  pmos_cl106 .   "missing or not applicable" A   "Other enterprises within enterprise group" B   "Suppliers of equipment, etc" C   "Clients or customers" D   "Competitors or other firms" E   "Consultants, commercial labs, private R&D institutes" F   "Universities" G   "Government or public research institutes"  
label define  orange_cl107 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  orepl_cl108  
label define  onmoms_cl109  
label define  oqua_cl110  
label define  oflex_cl111  
label define  ocap_cl112  
label define  olbr_cl113  
label define  orme_cl114  
label define  orei_cl115  
label define  ohesy_cl116  
label define  hfent_cl117 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hfout_cl118  
label define  hcos_cl119  
label define  hper_cl120  
label define  htec_cl121  
label define  hinf_cl122  
label define  hpar_cl123  
label define  hdom_cl124  
label define  hdem_cl125  
label define  hprior_cl126  
label define  hmar_cl127  
label define  orgbup_cl128 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  orgwkp_cl129  
label define  orgexr_cl130  
label define  orored_cl131 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  oroabl_cl132  
label define  oroqua_cl133  
label define  ororco_cl134  
label define  orocin_cl135  
label define  mktdgp_cl136  
label define  mktpdp_cl137  
label define  mktpdl_cl138  
label define  mktpri_cl139  
label define  omkts_cl140 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  omktcg_cl141  
label define  omktgm_cl142  
label define  sgala_cl143 .   "missing" 0   "Skills not used / not relevant" 1   "Employed in-house" 2   "Obtained from external sources" 3   "Employed in-house AND Obtained from external sources"  
label define  sdos_cl144  
label define  smed_cl145  
label define  swds_cl146  
label define  sswd_cl147  
label define  smkr_cl148  
label define  senap_cl149  
label define  smsdm_cl150  
label define  mbrst_cl151 .   "missing" 0   "Method not used" 1   "Successful" 2   "Not successful" 3   "Dont know if successful"  
label define  mmdcf_cl152  
label define  mjbrt_cl153  
label define  mfin_cl154  
label define  mnfin_cl155  
label define  mtrem_cl156  
label define  emp08_cl159 ALL   "Totale (solo per NACE 37)" <=10   "Meno di 10 addetti" 250+   "250 addetti e oltre" 10-49   "10-49 addetti" 50-249   "50-249 addetti"  
label define  emp10_cl160  
label define  empud_cl161 0   "0%" 1   "1-4%" 2   "5-9%" 3   "10-24%" 4   "25-49%" 5   "50-74%" 6   "75% to 100%"  
label values  nuts nuts_cl1
label values  nace nace_cl2
label values  gp gp_cl3
label values  ho ho_cl4
label values  marloc marloc_cl5
label values  marnat marnat_cl6
label values  mareur mareur_cl7
label values  maroth maroth_cl8
label values  larmar larmar_cl9
label values  inpdgd inpdgd_cl10
label values  inpdsv inpdsv_cl11
label values  inpdtg1 inpdtg1_cl12
label values  inpdtg2 inpdtg2_cl13
label values  inpdtg3 inpdtg3_cl14
label values  inpdtg4 inpdtg4_cl15
label values  inpdts1 inpdts1_cl16
label values  inpdts2 inpdts2_cl17
label values  inpdts3 inpdts3_cl18
label values  inpdts4 inpdts4_cl19
label values  newmkt newmkt_cl20
label values  newfrm newfrm_cl21
label values  inpdfc inpdfc_cl25
label values  inpdfe inpdfe_cl26
label values  inpdfw inpdfw_cl27
label values  inpspd inpspd_cl28
label values  inpslg inpslg_cl29
label values  inpssu inpssu_cl30
label values  inpsdv1 inpsdv1_cl31
label values  inpsdv2 inpsdv2_cl32
label values  inpsdv3 inpsdv3_cl33
label values  inpsdv4 inpsdv4_cl34
label values  inpsnm inpsnm_cl35
label values  inaba inaba_cl36
label values  inong inong_cl37
label values  rrdin rrdin_cl38
label values  rdeng rdeng_cl39
label values  rrdex rrdex_cl40
label values  rmac rmac_cl41
label values  roek roek_cl42
label values  rtr rtr_cl43
label values  rmar rmar_cl44
label values  rdsg rdsg_cl45
label values  rpre rpre_cl46
label values  funloc funloc_cl56
label values  fungmt fungmt_cl57
label values  funeu funeu_cl58
label values  funrtd funrtd_cl59
label values  sentg sentg_cl60
label values  ssup ssup_cl61
label values  scli scli_cl62
label values  scom scom_cl63
label values  sins sins_cl64
label values  suni suni_cl65
label values  sgmt sgmt_cl66
label values  scon scon_cl67
label values  sjou sjou_cl68
label values  spro spro_cl69
label values  co co_cl70
label values  co11 co11_cl71
label values  co12 co12_cl72
label values  co13 co13_cl73
label values  co14 co14_cl74
label values  co15 co15_cl75
label values  co21 co21_cl76
label values  co22 co22_cl77
label values  co23 co23_cl78
label values  co24 co24_cl79
label values  co25 co25_cl80
label values  co31 co31_cl81
label values  co32 co32_cl82
label values  co33 co33_cl83
label values  co34 co34_cl84
label values  co35 co35_cl85
label values  co41 co41_cl86
label values  co42 co42_cl87
label values  co43 co43_cl88
label values  co44 co44_cl89
label values  co45 co45_cl90
label values  co51 co51_cl91
label values  co52 co52_cl92
label values  co53 co53_cl93
label values  co54 co54_cl94
label values  co55 co55_cl95
label values  co61 co61_cl96
label values  co62 co62_cl97
label values  co63 co63_cl98
label values  co64 co64_cl99
label values  co65 co65_cl100
label values  co71 co71_cl101
label values  co72 co72_cl102
label values  co73 co73_cl103
label values  co74 co74_cl104
label values  co75 co75_cl105
label values  pmos pmos_cl106
label values  orange orange_cl107
label values  orepl orepl_cl108
label values  onmoms onmoms_cl109
label values  oqua oqua_cl110
label values  oflex oflex_cl111
label values  ocap ocap_cl112
label values  olbr olbr_cl113
label values  orme orme_cl114
label values  orei orei_cl115
label values  ohesy ohesy_cl116
label values  hfent hfent_cl117
label values  hfout hfout_cl118
label values  hcos hcos_cl119
label values  hper hper_cl120
label values  htec htec_cl121
label values  hinf hinf_cl122
label values  hpar hpar_cl123
label values  hdom hdom_cl124
label values  hdem hdem_cl125
label values  hprior hprior_cl126
label values  hmar hmar_cl127
label values  orgbup orgbup_cl128
label values  orgwkp orgwkp_cl129
label values  orgexr orgexr_cl130
label values  orored orored_cl131
label values  oroabl oroabl_cl132
label values  oroqua oroqua_cl133
label values  ororco ororco_cl134
label values  orocin orocin_cl135
label values  mktdgp mktdgp_cl136
label values  mktpdp mktpdp_cl137
label values  mktpdl mktpdl_cl138
label values  mktpri mktpri_cl139
label values  omkts omkts_cl140
label values  omktcg omktcg_cl141
label values  omktgm omktgm_cl142
label values  sgala sgala_cl143
label values  sdos sdos_cl144
label values  smed smed_cl145
label values  swds swds_cl146
label values  sswd sswd_cl147
label values  smkr smkr_cl148
label values  senap senap_cl149
label values  smsdm smsdm_cl150
label values  mbrst mbrst_cl151
label values  mmdcf mmdcf_cl152
label values  mjbrt mjbrt_cl153
label values  mfin mfin_cl154
label values  mnfin mnfin_cl155
label values  mtrem mtrem_cl156
label values  emp08 emp08_cl159
label values  emp10 emp10_cl160
label values  empud empud_cl161
*/
save  ISTAT_MFR_CIS_Microdata_2010_FILE_STRUCTURE_EXAMPLE.dta, replace
