#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdata_2010_FILE_STRUCTURE_EXAMPLE.txt", sep="")
Ril_CIS_2010<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2010, "label") <- c(
"Name of the enterprise",
"Address",
"Main economic activity",
"Enterprise part of a group",
"Country of head office",
"Local/regional market",
"National l market",
"Other EU/EFTA/CC market",
"All other countries",
"Enterprise's largest market in terms of turnover between 2008 and 2010",
"Introduced onto the market a new or significantly improved good",
"Introduced onto the market a new or significantly improved service",
"Who developed these product innovations - Goods innovations: Your enterprise by itself",
"Who developed these product innovations - Goods innovations: Your enterprise together with other enterprises or institutions",
"Who developed these product innovations - Goods innovations: Your enterprise by adapting or modifying goods or services originally developed by other enterprises or institutions",
"Who developed these product innovations - Goods innovations: Other enterprises or institutions",
"Who developed these product innovations - Service innovations: Your enterprise by itself",
"Who developed these product innovations - Service innovations: Your enterprise together with other enterprises or institutions",
"Who developed these product innovations - Service innovations: Your enterprise by adapting or modifying goods or services originally developed by other enterprises or institutions",
"Who developed these product innovations - Service innovations: Other enterprises or institutions",
"Did the enterprise introduce a product new to the market",
"Did the enterprise introduce a product new to the firm",
"% of turnover in new or improved products that were new to the market",
"% of turnover in new or improved products that were new to the firm",
"% of turnover in unchanged or marginally modified products",
"Were any of your product innovations during the three years 2008 to 2010: A first in (your country)",
"Were any of your product innovations during the three years 2008 to 2010: A first in Europe",
"Were any of your product innovations during the three years 2008 to 2010: A world first",
"Introduced onto the market a new or significantly improved method of production",
" Introduced onto the market a new or significantly improved logistic, delivery or distribution system ",
"Introduced onto the market a new or significantly improved supporting activities",
"Who developed these process innovations: Your enterprise by itself",
"Who developed these process innovations: Your enterprise together with other enterprises or institutions",
"Who developed these process innovations: Your enterprise by adapting or modifying processes originaly developed by other enterprises or institutions",
"Who developed these process innovations: Other enterprises or institutions",
"Process innovations new to enterprise's market",
"Enterprise with abandoned innovation activities",
"Enterprise with ongoing innovation activities",
"Engagement in intramural R&D",
"Type of engagement in R&D",
"Engagement in extramural R&D",
"Engagement in acquisition of machinery",
"Engagement in other external knowledge",
"Engagement in training",
"Engagement in market introduction of innovation",
"Design",
"Engagement in other preparation",
"Expenditure in intramural R&D",
"Expenditure in extramural R&D",
"Expenditure in acquisition of machinery",
"Expenditure in other external knowledge",
"Expenditure in Design",
"Expenditure in other preparation",
"Expenditure in training",
"Expenditure in market introduction of innovation",
"Total innovation expenditure",
"Public funding from local or regional authorities",
"Public funding from central government",
"Public funding from the EU",
"Funding from EU's 6th or 7th RTD",
"Sources from within the enterprise or enterprise group",
" Sources from Suppliers of equipment, materials, etc. ",
"Sources from Clients or customers",
"Sources from Competitors and other enterprises of same industry",
" Sources from consultants, commercial labs or private R&D institutes ",
"Sources from Universities or other higher education institutes",
"Sources from Government or public research institutes",
" Sources from professional conferences, trade fairs, meetings ",
" Sources from Scientific journals, trade/scientific publications ",
"Sources from Professional and industry associations",
"Cooperation arrangements on innovation activities",
"Other enterprises within enterprise group : National",
"Other enterprises within enterprise group : EU/EFTA/EU-CC",
"Other enterprises within enterprise group : US",
"Other enterprises within enterprise group : India or China",
"Other enterprises within enterprise group : Other countries",
"   Suppliers of equipment, etc. : National   ",
"   Suppliers of equipment, etc. : EU/EFTA/EU-CC   ",
"   Suppliers of equipment, etc. : US   ",
"   Suppliers of equipment, etc. : India or China   ",
"   Suppliers of equipment, etc. : Other countries   ",
"Clients or customers : National",
"Clients or customers : EU/EFTA/EU-CC",
"Clients or customers : US",
"Clients or customers : India or China",
"Clients or customers : Other countries",
"Competitors or other firms  : National",
"Competitors or other firms  : EU/EFTA/EU-CC",
"Competitors or other firms  : US",
"Competitors or other firms  : India or China",
"Competitors or other firms  : Other countries",
"   Consultants, commercial labs, private R&D institutes : National   ",
"   Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC   ",
"   Consultants, commercial labs, private R&D institutes : US   ",
"   Consultants, commercial labs, private R&D institutes : India or China   ",
"   Consultants, commercial labs, private R&D institutes : Other countries   ",
"Universities or other  : National",
"Universities or other  : EU/EFTA/EU-CC",
"Universities or other  : US",
"Universities or other  : India or China",
"Universities or other  : Other countries",
"Government or public research institutes: National",
"Government or public research institutes: EU/EFTA/EU-CC",
"Government or public research institutes: US",
"Government or public research institutes: India or China",
"Government or public research institutes: Other countries",
"Most important co-operation partner",
"Increased range of goods or services",
"Replace outdated products or processes",
"Enter new markets or increase market share",
"Improve quality of goods or services",
"Improve flexibility for producing goods or services",
"Increase capacity for producing goods or services",
"Reduce labour costs per unit output",
"Reduce material and energy costs per unit output",
"Reduce environmental impacts",
"Improve health or safety of your employees",
"Factors hampering innovation: Lack of funds within your enterprise or group",
"Factors hampering innovation: Lack of finance from sources outside your enterprise",
"Factors hampering innovation: Innovation costs too high",
"Factors hampering innovation: Lack of qualified personnel",
"Factors hampering innovation: Lack of information on technology",
"Factors hampering innovation: Lack of information on markets",
"Factors hampering innovation: Difficulty in finding cooperation partners for innovation",
"Factors hampering innovation: Market dominated by established enterprises",
"Factors hampering innovation: Uncertain demand for innovative goods or services",
"Factors hampering innovation: No need due to prior innovations by your enterprise",
"Factors hampering innovation: No need because of no demand for innovations",
"New business practices for organising work or procedures",
"New methods of workplace organisation",
"New methods of organising external relations",
"Reduce time to respond to customer or supplier needs",
"Improve ability to develop new products or processes",
"Improve quality of your goods or services",
"Reduce costs per unit output",
"Improved communication or information sharing",
"Significant changes to the aesthetic design or packaging",
"New media or techniques for product promotion",
"New methods for product placement or sales channels",
"New methods of pricing goods or services",
"Increase or maintain market share",
"Introduce products to new customer groups",
"Introduce products to new geographic markets",
"Graphic art/layout/advertising",
"Design of objects or services",
" Multimedia (combining audio, graphics, text, still pictures, animation, video, etc.) ",
"Web design",
"Software development",
"market research",
"Engineering/applied sciences",
"Mathematics/statistics/database management",
"Brainstorming session",
"Multidisciplinary or cross-functional work teams",
"Job rotation of staff to different departments or other parts of your enterprise group",
"Financial incentives for employees to develop new ideas",
" Non-financial incentives for employees to develop new ideas, such as free time, public recognition, more interesting work, etc. ",
"Training employees on how to develop new ideas or creativity",
"Total turnover in 2008",
"Total turnover in 2010",
"Size class in 2008",
"Size class in 2010",
"% of employees in 2010 with a university degree",
"Weighting factors")

nuts_Fact <- factor(Ril_CIS_2010$nuts, 
levels=c("IT"), 
labels=c("Italy")) 


nace_Fact <- factor(Ril_CIS_2010$nace, 
levels=c("B", 
"10", 
"11", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"58", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"70", 
"71", 
"72", 
"73", 
"74", 
"38-39"), 
labels=c("MINING AND QUARRYING", 
"Manufacture of food products", 
"Manufacture of beverages", 
"Manufacture of textiles", 
"Manufacture of wearing apparel", 
"Manufacture of leather and related products", 
"Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials", 
"Manufacture of paper and paper products", 
"Printing and reproduction of recorded media", 
"Manufacture of coke and refined petroleum products", 
"Manufacture of chemicals and chemical products", 
"Manufacture of basic pharmaceutical products and pharmaceutical preparations", 
"Manufacture of rubber and plastic products", 
"Manufacture of other non-metallic mineral products", 
"Manufacture of basic metals", 
"Manufacture of fabricated metal products, except machinery and equipment", 
"Manufacture of computer, electronic and optical products", 
"Manufacture of electrical equipment", 
"Manufacture of machinery and equipment n.e.c.", 
"Manufacture of motor vehicles, trailers and semi-trailers", 
"Manufacture of other transport equipment", 
"Manufacture of furniture", 
"Other manufacturing", 
"Repair and installation of machinery and equipment", 
"Electricity, gas, steam and air conditioning supply", 
"Water collection, treatment and supply", 
"Sewerage", 
"Construction of buildings", 
"Civil engineering", 
"Specialised construction activities", 
"Wholesale and retail trade and repair of motor vehicles and motorcycles", 
"Wholesale trade, except of motor vehicles and motorcycles", 
"Retail trade, except of motor vehicles and motorcycles", 
"Land transport and transport via pipelines", 
"Water transport", 
"Air transport", 
"Warehousing and support activities for transportation", 
"Postal and courier activities", 
"Publishing activities", 
"Telecommunications", 
"Computer programming, consultancy and related activities", 
"Information service activities", 
"Financial service activities, except insurance and pension funding", 
"Insurance, reinsurance and pension funding, except compulsory social security", 
"Activities auxiliary to financial services and insurance activities", 
"Activities of head offices; management consultancy activities", 
"Architectural and engineering activities; technical testing and analysis", 
"Scientific research and development", 
"Advertising and marketing research", 
"Other professional, scientific and technical activities", 
"Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services")) 


GP_Fact <- factor(Ril_CIS_2010$GP, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HO_Fact <- factor(Ril_CIS_2010$HO, 
levels=c(NA, 
"Z", 
"1", 
"2", 
"3", 
"ZZ"), 
labels=c("Not applicable", 
"Missing", 
"Italy", 
"Europe + Candidate Countries + EFTA countries", 
"Rest of the world", 
"Missing"), exclude=NULL) 


MARLOC_Fact <- factor(Ril_CIS_2010$MARLOC, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


LARMAR_Fact <- factor(Ril_CIS_2010$LARMAR, 
levels=c(NA, 
"A", 
"B", 
"C", 
"D"), 
labels=c("missing or not applicable", 
"Local / regional within [your country]", 
"National (other regions of [your country])", 
"Other European Union (EU), EFTA, or EU candidate countries", 
"All other countries"), exclude=NULL) 


INPDGD_Fact <- factor(Ril_CIS_2010$INPDGD, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INPDTS1_Fact <- factor(Ril_CIS_2010$INPDTS1, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INPDFC_Fact <- factor(Ril_CIS_2010$INPDFC, 
levels=c(NA, 
0, 
1, 
2), 
labels=c("missing or non applicable", 
"No", 
"Yes", 
"Don't know"), exclude=NULL) 


INPSPD_Fact <- factor(Ril_CIS_2010$INPSPD, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INABA_Fact <- factor(Ril_CIS_2010$INABA, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RDENG_Fact <- factor(Ril_CIS_2010$RDENG, 
levels=c(NA, 
1, 
2), 
labels=c("missing", 
"continuously", 
"occasionally"), exclude=NULL) 


funloc_Fact <- factor(Ril_CIS_2010$funloc, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


SENTG_Fact <- factor(Ril_CIS_2010$SENTG, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


PMOS_Fact <- factor(Ril_CIS_2010$PMOS, 
levels=c(NA, 
"A", 
"B", 
"C", 
"D", 
"E", 
"F", 
"G"), 
labels=c("missing or not applicable", 
"Other enterprises within enterprise group", 
"Suppliers of equipment, etc", 
"Clients or customers", 
"Competitors or other firms", 
"Consultants, commercial labs, private R&D institutes", 
"Universities", 
"Government or public research institutes"), exclude=NULL) 


ORANGE_Fact <- factor(Ril_CIS_2010$ORANGE, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HFENT_Fact <- factor(Ril_CIS_2010$HFENT, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


ORGBUP_Fact <- factor(Ril_CIS_2010$ORGBUP, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ORORED_Fact <- factor(Ril_CIS_2010$ORORED, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


OMKTS_Fact <- factor(Ril_CIS_2010$OMKTS, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


SGALA_Fact <- factor(Ril_CIS_2010$SGALA, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing", 
"Skills not used / not relevant", 
"Employed in-house", 
"Obtained from external sources", 
"Employed in-house AND Obtained from external sources"), exclude=NULL) 


MBRST_Fact <- factor(Ril_CIS_2010$MBRST, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing", 
"Method not used", 
"Successful", 
"Not successful", 
"Dont know if successful"), exclude=NULL) 


EMP08_Fact <- factor(Ril_CIS_2010$EMP08, 
levels=c("ALL", 
"<=10", 
"250+", 
"10-49", 
"50-249"), 
labels=c("Totale (solo per NACE 37)", 
"Meno di 10 addetti", 
"250 addetti e oltre", 
"10-49 addetti", 
"50-249 addetti")) 


EMPUD_Fact <- factor(Ril_CIS_2010$EMPUD, 
levels=c("0", 
"1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("0%", 
"1-4%", 
"5-9%", 
"10-24%", 
"25-49%", 
"50-74%", 
"75% to 100%")) 

save.image (file="Ril_CIS_2010.RData")
